Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		linuxtv-dvb-apps
#Epoch:		0
Version:	1.1.1
Release:	1
License:	GNU/GPL-v2
URL:		http://www.linuxtv.org/downloads/
Group:		System/Hardware
Summary:	linux DVB utilities
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
# don`t compile with debug symbols
Patch0:		linuxtv-dvb-apps-nodebug.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: 	glibc-devel

#Manually added build dependencies
BuildRequires:	perl

%description
Applications and utilities geared towards the initial setup, testing and operation of an DVB device supporting the DVB-S, DVB-C, DVB-T, and ATSC standards.

Main User Applications:

 . util/scan       - Scan for channels on your digital TV device
 . util/gnutv      - Tune, watch and stream your TV

General Utilities:

 . util/dvbdate    - Set your clock from digital TV
 . util/dvbnet     - Control digital data network interfaces
 . util/dvbtraffic - Monitor traffic on a digital device
 . util/femon      - Monitor the tuning on a digital TV device
 . util/zap        - *Just* tunes a digital device

Hardware Specific Utilities:

 . util/av7110_loadkeys    - Load remote keys into an av7110 based card
 . util/dib3000-watch      - Monitor DIB3000 demodulators
 . util/dst-utils          - Utilities for DST based cards
 . util/ttusb_dec_reset    - Reset a TechnoTrends TTUSB DEC device

Libraries:

 . lib/libdvbapi   - Interface library to digital TV devices
 . lib/libdvbcfg   - Library to parse/create digital TV channel
 . lib/libdvbsec   - Library for Satellite Equipment Control operations
 . lib/libucsi     - Fast MPEG2 Transport Stream SI table parsing library
 . lib/libdvben50221- Implementation of a Cenelec EN 50221 CAM stack
 . lib/libdvbmisc  - Miscellaneous utilities used by the other libraries



%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

install -d -m755 %buildroot/%{_bindir}

cd util
#
# binaries
#

install -m755 av7110_loadkeys/av7110_loadkeys %buildroot/%{_bindir}/
install -m755 av7110_loadkeys/evtest %buildroot/%{_bindir}/av7110_evtest
install -m755 dvbdate/dvbdate %buildroot/%{_bindir}/
install -m755 dvbnet/dvbnet %buildroot/%{_bindir}/
install -m755 dvbtraffic/dvbtraffic %buildroot/%{_bindir}/
install -m755 scan/scan %buildroot/%{_bindir}/scandvb
install -m755 szap/*zap %buildroot/%{_bindir}/
install -m755 szap/femon %buildroot/%{_bindir}/

install -d -m755 %buildroot/%{_datadir}/%{name}/scan
cp -pr scan/dvb-c %buildroot/%{_datadir}/%{name}/scan/
cp -pr scan/dvb-s %buildroot/%{_datadir}/%{name}/scan/
cp -pr scan/dvb-t %buildroot/%{_datadir}/%{name}/scan/
cp -pr scan/atsc %buildroot/%{_datadir}/%{name}/scan/

install -d -m755 %buildroot/%{_datadir}/%{name}/av7110_loadkeys
install -m644 av7110_loadkeys/*rc5  %buildroot/%{_datadir}/%{name}/av7110_loadkeys/
install -m644 av7110_loadkeys/*rcmm  %buildroot/%{_datadir}/%{name}/av7110_loadkeys/
#
# confs & doc
#

install -d -m755 %buildroot/%{_sysconfdir}/dvb
install -m644 szap/channels.conf* %buildroot/%{_sysconfdir}/dvb

install -m644 av7110_loadkeys/README ../README.av7110_loadkeys
perl -pi -e 's:./evtest:av7110_evtest:' ../README.av7110_loadkeys
perl -pi -e 's:./av7110_loadkeys:av7110_loadkeys:' ../README.av7110_loadkeys
perl -pi -e "s:hauppauge.rc5:%{_datadir}/%{name}/av7110_loadkeys/hauppauge.rc5:" ../README.av7110_loadkeys

install -m644 scan/README ../README.scandvb
perl -pi -e "s:./scan :scandvb :"  ../README.scandvb
perl -pi -e "s:dvb-s/Astra-19.2E:%{_datadir}/%{name}/scan/dvb-s/Astra-19.2E:"  ../README.scandvb
perl -pi -e "s:scandvb -h.:scandvb -h, tuning files are stored in %{_datadir}/%{name}/scan .:"  ../README.scandvb

install -m755 dvbnet/net_start.* ../



find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/dvb/
%{_bindir}/av7110_evtest
%{_bindir}/av7110_loadkeys
%{_bindir}/azap
%{_bindir}/czap
%{_bindir}/dvbdate
%{_bindir}/dvbnet
%{_bindir}/dvbtraffic
%{_bindir}/femon
%{_bindir}/scandvb
%{_bindir}/szap
%{_bindir}/tzap
%{_datadir}/linuxtv-dvb-apps/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- initial CCux package release
